Bug 29157 - openjpeg: Memory Corruption (3.1)
openjpeg: Memory Corruption (3.1)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 3.0
Other Linux
: P4 normal (vote)
: UCS 3.2
Assigned To: Moritz Muehlenhoff
Janek Walkenhorst
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-09 16:04 CET by Moritz Muehlenhoff
Modified: 2013-11-19 06:41 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2012-11-09 16:04:39 CET
+++ This bug was initially created as a clone of Bug #27101 +++

Memory Corruption in der Umwandlung nach JPEG2000 erlaubt das Ausführen von
Schadcode. (CVE-2009-5030 (Die CVE-ID ist von 2009, wurde aber erst kürzlich zugewiesen))

Bufferoverflow (CVE-2012-3358)

Bufferoverflow in der Verarbeitung von JPEG2000-Bildern (CVE-2012-3535)
Comment 1 Moritz Muehlenhoff univentionstaff 2013-07-29 14:59:27 CEST
Fixed in 3.2 through the import of Debian 6.0.8.

The QA should ideally be made by the same person as for Bug 31956.
Comment 2 Janek Walkenhorst univentionstaff 2013-10-21 12:25:34 CEST
(In reply to Moritz Muehlenhoff from comment #1)
> Fixed in 3.2 through the import of Debian 6.0.8.
Correct
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:41:59 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".